Updating Xcode? If you’re on Mojave, you’ll also need to update macOS.

by Joey deVilla on February 18, 2020

In case you were wondering how long you could keep on using macOS 10.14 “Mojave” as a developer targeting any Apple OS, the answer is “not too much longer.” I was presented with the dialog box above when trying to run the beta for Xcode 11.4 on my MacBook running Mojave.

I was doing all this as part of updating The iOS Apprentice, 8th Edition, a great book for people who want to get started building iOS apps. It’s available in both electronic and dead-tree formats, and when you buy an edition, you get updates of that edition for free!

Leave a Comment

Previous post:

Next post: